package com.qmth.distributed.print.business.bean.params;

import com.alibaba.fastjson.JSONObject;
import com.qmth.distributed.print.business.bean.dto.SyncExamTaskDto;

import java.util.List;

/**
 * @Date: 2021/7/28.
 */
public class SyncDataParam {

    /**
     * thirdRelateId、thirdRelateName二选一，若thirdRelateId有值优先用thirdRelateId值
     */
    private Long thirdRelateId;

    /**
     * thirdRelateId、thirdRelateName二选一，若thirdRelateId有值优先用thirdRelateId值
     */
    private String thirdRelateName;

    /**
     * 考试时间
     */
    private Long examTime;

    /**
     * 参数
     */
    private List<SyncExamTaskDto> list;

    public Long getThirdRelateId() {
        return thirdRelateId;
    }

    public void setThirdRelateId(Long thirdRelateId) {
        this.thirdRelateId = thirdRelateId;
    }

    public String getThirdRelateName() {
        return thirdRelateName;
    }

    public void setThirdRelateName(String thirdRelateName) {
        this.thirdRelateName = thirdRelateName;
    }

    public Long getExamTime() {
        return examTime;
    }

    public void setExamTime(Long examTime) {
        this.examTime = examTime;
    }

    public List<SyncExamTaskDto> getList() {
        return list;
    }

    public void setList(List<SyncExamTaskDto> list) {
        this.list = list;
    }
}
